module Employees
  class EmployeeShiftsController < Employees::ApplicationController
    def index
      @employee_shifts = EmployeeShift.for_employee(current_employee).include_relation(:supplier)
      render json: JSONAPI::Serializer.serialize(@employee_shifts, serializer: Employees::EmployeeShiftSerializer, is_collection: true)
    end
  end
end
